<template>
  <div  class="ParentCentermapdiv">
    <div id="Centermapdiv"></div>
  </div>
</template>

<script>

export default {
  name: "",
  components: {},
  data() {
    return{} 
  },
  mounted() {
    this.init3DMap()
  },
  methods: {
    init3DMap() {
      //地图初始化
      window.sgworld = new SmartEarth.SGWorld("Centermapdiv", {
        licenseServer: window.sceneConfig.licenseServer,
      })

      window.Viewer = window.sgworld._Viewer
      Viewer.imageryLayers._layers[0].show = false
      //定位
      Viewer.camera.flyTo({
        destination: Cesium.Cartesian3.fromDegrees(110, 33, 25000000),

      });
      Viewer.imageryLayers.addImageryProvider(
        new Cesium.UrlTemplateImageryProvider({
          url: gaoDeBaseUrl[0].url,
        })
      )

      Viewer.imageryLayers.addImageryProvider(
        new Cesium.UrlTemplateImageryProvider({
          url: gaoDeBaseUrl[1].url,
        })
      )
      Viewer.imageryLayers.addImageryProvider(
        new Cesium.UrlTemplateImageryProvider({
          url: gaoDeBaseUrl[2].url,
        })
      )



      Viewer._enableInfoOrSelection = false
      //显示fps
      Viewer.scene.debugShowFramesPerSecond = false
      //导航控件
      window.sgworld.navControl("nav", false)
      //比例尺
      window.sgworld.navControl("scale", false)
      //开启深度检测
      sgworld.Analysis.depthTestAgainstTerrain(true)


      Viewer.terrainProvider = new Cesium.CesiumTerrainProvider({
        url: demLayer,
      })

      //改变天空颜色为黑色
      Viewer.scene.skyBox.show = false //关闭天空盒，否则会显示天空颜色
      //背景透明
      Viewer.scene.backgroundColor = new Cesium.Color(0.0, 0.0, 0.0, 0.0);
    },

  }
 
}
</script>

<style scoped lang="scss">
.ParentCentermapdiv{
  display: fixed;
  height: 100%;
    width: 100%;
}
  #Centermapdiv{
    height: 100%;
    width: 100%;
  }

</style>
